# HomeLab

Public documents and configurations pertaining to my homelab here at veritablevalor.com.

## Core Homelab Service Requirements

| Function           | Importance | Service | Guide |
|--------------------|:-------:|:-------------------------:|:--|
| NAS Storage (NFS/SMB)        | 10 |  [TrueNAS Scale](https://www.truenas.com/truenas-scale/)   | [Setup and Walkthrough](https://www.youtube.com/watch?v=C-UI8Wvl9YU)
| FireWall           | 10 | OPNsense   | |
| VPN Host        | 8 |  WireGuard   | |
| Email Server        | 7 |     | [Workaround.org](https://workaround.org/ispmail) |
| Federated Chat  | 9 | [Matrix](https://matrix.org/) ([Element](https://element.io/) + [Synapse](https://github.com/matrix-org/synapse)) | [Docker Guide + Reverse Proxy](https://cyberhost.uk/element-matrix-setup/)
| Media Library           | 8 | Jellyfin   | |
| Budget Software           | 9 | FireFlyIII   | |
| Git Repos (version control)           | 10 | Gitea   | |
| Virtual Environment           | 10 | Proxmox   | |